html, body {
    margin: 0;
    padding: 0;
    height: 100vh;
    font-family: 'Montserrat', sans-serif;
    color: #20124E;
    overflow: hidden;
}

body {
    display: flex;
    flex-direction: column;
}

/* --- Bannière en haut de page --- */
.site-header {
    height: 60vh;
    flex-shrink: 0;
}

.site-header img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* --- Contenu principal --- */
.site-content {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    max-width: 1000px;
    width: 100%;
    margin: 0 auto;
    padding: 0px 20px;
    box-sizing: border-box;
    text-align: center;
    overflow-y: auto;
}

/* --- Styles du texte et des liens --- */
.description {
    max-width: 1100px;
    margin: 0 auto 60px auto;
    line-height: 1.7;
    font-size: 1.1em;
    font-weight: 500;
    color: #2c2a4b;
    letter-spacing: 3px;
    font-weight: 700;
}

.contact-info {
    margin-bottom: 2rem;
    font-size: 16px;
}

.contact-title {
    font-weight: bold;
    margin-bottom: 1rem;
}

.contact-info p {
    margin: 5px 0;
}

a {
    color: #333;
    text-decoration: none;
}

.contact-social img {
    width: 35px;
}

/* ============================================= */
/* STYLES POUR LE RESPONSIVE            */
/* ============================================= */

@media (max-width: 768px) {
    .site-header {
        height: 45vh;
        background-image: url("http://www.wecamdesign.fr/images/WECAM_MODEL_HOMEPAGE_MOBILE.svg");
    }

    .site-content {
        padding: 0 16px;
    }

    .description {
        margin-bottom: 2rem;
        font-size: 0.7rem;
        line-height: 1.5;
    }

    .contact-info {
        margin-bottom: 1.5rem;
    }

    .contact-info p, .contact-info a {
        font-size: 0.6rem;
    }
}
